# XW_EXT_PTEXT Struct Reference

`#include <Xw_Extension.h>`

## Data Fields

void * | link
int | isupdated
int | ntext
int | modes [MAXLTEXTS]
int | texts [MAXPTEXTS]
char * | ptexts [MAXPTEXTS]
XPoint | rpoints [MAXPTEXTS]
XPoint | upoints [MAXPTEXTS]
float | rangles [MAXPTEXTS]
float | uangles [MAXPTEXTS]
float | marges [MAXPTEXTS]
float | rscalex [MAXLTEXTS]
float | uscalex [MAXLTEXTS]
float | rscaley [MAXLTEXTS]
float | uscaley [MAXLTEXTS]
float | slants [MAXLTEXTS]

## Field Documentation

int XW_EXT_PTEXT::isupdated

void* XW_EXT_PTEXT::link

float XW_EXT_PTEXT::marges[MAXPTEXTS]

int XW_EXT_PTEXT::modes[MAXLTEXTS]

int XW_EXT_PTEXT::ntext

char* XW_EXT_PTEXT::ptexts[MAXPTEXTS]

float XW_EXT_PTEXT::rangles[MAXPTEXTS]

XPoint XW_EXT_PTEXT::rpoints[MAXPTEXTS]

float XW_EXT_PTEXT::rscalex[MAXLTEXTS]

float XW_EXT_PTEXT::rscaley[MAXLTEXTS]

float XW_EXT_PTEXT::slants[MAXLTEXTS]

int XW_EXT_PTEXT::texts[MAXPTEXTS]

float XW_EXT_PTEXT::uangles[MAXPTEXTS]

XPoint XW_EXT_PTEXT::upoints[MAXPTEXTS]

float XW_EXT_PTEXT::uscalex[MAXLTEXTS]

float XW_EXT_PTEXT::uscaley[MAXLTEXTS]

The documentation for this struct was generated from the following file:

- Xw_Extension.h